Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227081 - Review Request: maven-jxr-1.0-2jpp - Maven JXR is a source cross referencing tool.
Summary: Review Request: maven-jxr-1.0-2jpp - Maven JXR is a source cross referencing ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:44 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 01:02:54 UTC
dbhole: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:44:40 UTC
Spec URL: http://people.redhat.com/rafaels/specs/maven-jxr-1.0-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/maven-jxr-1.0-2jpp.src.rpm
Description: Maven JXR is a source cross referencing tool.

Javadoc for maven-jxr.

Comment 1 Tania Bento 2007-02-27 18:43:35 UTC
Here are the links to an updated spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/256/maven-jxr.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/257/maven-jxr-1.0-2jpp.1.src.rpm

Comment 2 Deepak Bhole 2007-03-07 00:23:25 UTC
MUST:
* package is named appropriately
 - match upstream tarball or project name
 OK

 - try to match previous incarnations in other distributions/packagers for
consistency
 OK

 - specfile should be %{name}.spec
 OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
 OK

* is it legal for Fedora to distribute this?

 - OSI-approved
 OK

 - not a kernel module
 OK

 - not shareware
 OK

 - is it covered by patents?
 OK

 - it *probably* shouldn't be an emulator
 OK

 - no binary firmware
 OK

* license field matches the actual license.
 OK

* license is open source-compatible.
 - use acronyms for licences where common
 OK

* specfile name matches %{name}
 OK

* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
 OK

* skim the summary and description for typos, etc.
 OK

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  OK

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
 OK

* license text included in package and marked with %doc
 OK

* keep old changelog entries; use judgement when removing (too old?
useless?)
 OK

* packages meets FHS (http://www.pathname.com/fhs/)
 OK

X * rpmlint on <this package>.srpm gives no output
  - justify warnings if you think they shouldn't be there
  W: maven-jxr non-standard-group Development/Java
  W: maven-jxr no-documentation
  W: maven-jxr non-standard-group Development/Java
  W: maven-jxr mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)

  First 3 are OK. Last one should be fixed.

* changelog should be in one of these formats:
  OK

* Packager tag should not be used
  OK

* Vendor tag should not be used
  OK

* Distribution tag should not be used
  OK

* use License and not Copyright 
 OK

* Summary tag should not end in a period
 OK

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
 OK

* specfile is legible
 - this is largely subjective; use your judgement
 OK

* package successfully compiles and builds on at least x86
 OK (with %define _without_maven

* BuildRequires are proper
 - builds in mock will flush out problems here
 OK

X * summary should be a short and concise description of the package
  These could use expanding, but nothing more is available on project side, so
  OK.

  Would be nice to have summary be just: "Source cross referencing tool"
  though
 
* description expands upon summary (don't include installation
instructions)
 OK (see above)

* make sure lines are <= 80 characters
 OK

* specfile written in American English
 OK

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
 OK

* packages including libraries should exclude static libraries if possible
 OK

* don't use rpath
 OK

* config files should usually be marked with %config(noreplace)
 OK

* GUI apps should contain .desktop files
 OK

* should the package contain a -devel sub-package?
 OK

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
 OK

* don't use %makeinstall
 OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
 OK

* consider using cp -p to preserve timestamps
 OK

* split Requires(pre,post) into two separate lines
 OK

* package should probably not be relocatable
 OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
 OK

* package should own all directories and files
 OK

* there should be no %files duplicates
 OK

* file permissions should be okay; %defattrs should be present
 OK

* %clean should be present
 OK

* %doc files should not affect runtime
 OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
 OK

* verify the final provides and requires of the binary RPMs
 OK

* run rpmlint on the binary RPMs
 OK

SHOULD:
* package should include license text in the package and mark it with %doc
 OK

* package should build on i386
 OK

* package should build in mock
 OK



Comment 3 Deepak Bhole 2007-03-07 00:46:32 UTC
Also, at the top of the spec file, change '%define _with_gcj_support 0' to: 
%define _with_gcj_support 1


Comment 4 Deepak Bhole 2007-03-07 01:18:48 UTC
Also, delete the %define gcj_support 0 there..

Comment 5 Deepak Bhole 2007-03-07 01:34:33 UTC
Sorry for so many updates.. just caught something in another package that
applies here too (missed because it'll happen only when built with maven):

Change:
%if %{with_maven}
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/maven-jxr-1.0.jar.*
%endif

to

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/maven-jxr-1.0.jar.*
%endif
%if %{with_maven}


Comment 6 Tania Bento 2007-03-13 17:08:18 UTC
> X * rpmlint on <this package>.srpm gives no output
>   - justify warnings if you think they shouldn't be there
>   W: maven-jxr non-standard-group Development/Java
>   W: maven-jxr no-documentation
>   W: maven-jxr non-standard-group Development/Java
>   W: maven-jxr mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)
> 
>   First 3 are OK. Last one should be fixed.

Fixed.

> X * summary should be a short and concise description of the package
>   These could use expanding, but nothing more is available on project side, so
>   OK.
> 
>   Would be nice to have summary be just: "Source cross referencing tool"
>   though

Fixed.

>Also, at the top of the spec file, change '%define _with_gcj_support 0' to: 
>%define _with_gcj_support 1

Fixed.

>Sorry for so many updates.. just caught something in another package that
>applies here too (missed because it'll happen only when built with maven):
>
>Change:
>%if %{with_maven}
>%if %{gcj_support}
>%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
>%attr(-,root,root) %{_libdir}/gcj/%{name}/maven-jxr-1.0.jar.*
>%endif
>
>to
>
>%if %{gcj_support}
>%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
>%attr(-,root,root) %{_libdir}/gcj/%{name}/maven-jxr-1.0.jar.*
>%endif
>%if %{with_maven}

Fixed.

I've also built this package on mock.


Here are the links to the updates spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/256/maven-jxr.spec

SOURCE RPM: 
https://tbento.108.redhat.com/files/documents/177/257/maven-jxr-1.0-2jpp.1.src.rpm



Comment 7 Deepak Bhole 2007-03-13 18:56:08 UTC
There is a typo in the spec. It says %define _with_gcj_supoprt 1 instead of
%define _with_gcj_support 1

I will approve once that is fixed.

Comment 8 Tania Bento 2007-03-13 19:37:22 UTC
(In reply to comment #7)
> There is a typo in the spec. It says %define _with_gcj_supoprt 1 instead of
> %define _with_gcj_support 1
> 
> I will approve once that is fixed.

Sorry about the typo.  
Here are the links to the updates spec file and source rpm:
SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/256/maven-scm.spec
SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/257/maven-scm-1.0-0.1.b3.2jpp.1.src.rpm

Comment 9 Tania Bento 2007-03-13 19:39:14 UTC
Sorry... Wrong links.. Here are the correct ones:
SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/256/maven-jxr.spec
SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/257/maven-jxr-1.0-2jpp.1.src.rpm

Comment 10 Deepak Bhole 2007-03-13 19:44:26 UTC
APPROVED.


Comment 11 Deepak Bhole 2007-03-13 19:45:30 UTC
New Package CVS Request
=======================
Package Name: maven-jxr
Short Description: Source cross referencing tool
Owners: dbhole@redhat.com
Branches: devel

Comment 12 Bernard Johnson 2007-04-11 22:49:06 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e


Note You need to log in before you can comment on or make changes to this bug.